PrettyPrintJSONWriter (Grails 6.0.0)

Package: org.grails.web.json

## [Java] Class PrettyPrintJSONWriter

- org.grails.web.json.PrettyPrintJSONWriter

-     public class PrettyPrintJSONWriter
      extends JSONWriter

  A JSONWriter dedicated to create indented/pretty printed output.

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_INDENT_STR` |
    `static java.lang.String` | `NEWLINE` |
    `private int` | `indentLevel` |
    `private java.lang.String` | `indentStr` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JSONWriter` | `comma, mode, nullWritable, stack, writer`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PrettyPrintJSONWriter (java.io.Writer w)`
    `PrettyPrintJSONWriter (java.io.Writer w, java.lang.String indentStr)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected JSONWriter` | `append(groovy.lang.Writable writableValue)`
    `` | `public JSONWriter` | `array()`
    `` | `protected JSONWriter` | `end(Mode m, char c)`
    `` | `public JSONWriter` | `endArray()`
    `` | `public JSONWriter` | `endObject()`
    `` | `private void` | `indent()`
    `` | `public JSONWriter` | `key(java.lang.String s)`
    `` | `private void` | `newline()`
    `` | `public JSONWriter` | `object()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JSONWriter` | `append, append, array, comma, end, endArray, endObject, key, object, pop, push, value, value, value, value, value, valueNull`

- - ### Field Detail

    - #### public static final java.lang.String DEFAULT_INDENT_STR

    - #### public static final java.lang.String NEWLINE

    - #### private int indentLevel

    - #### private final java.lang.String indentStr

  - ### Constructor Detail

    - #### public PrettyPrintJSONWriter(java.io.Writer w)

    - #### public PrettyPrintJSONWriter(java.io.Writer w, java.lang.String indentStr)

  - ### Method Detail

    - #### @java.lang.Override protected JSONWriter append(groovy.lang.Writable writableValue)

    - #### @java.lang.Override public JSONWriter array()

    - #### @java.lang.Override protected JSONWriter end(Mode m, char c)

    - #### @java.lang.Override public JSONWriter endArray()

    - #### @java.lang.Override public JSONWriter endObject()

    - #### private void indent()

    - #### @java.lang.Override public JSONWriter key(java.lang.String s)

    - #### private void newline()

    - #### @java.lang.Override public JSONWriter object()